OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_SetLabel Class Reference

Sets/Clears Short Label of Entities, those designated by the
Selection. No Selection means all the file
May enforce, else it sets only if no label is yet set
Mode : 0 to clear (always enforced)
1 to set label to DE number (changes it if already set)
.

`#include <IGESSelect_SetLabel.hxx>`

Inheritance diagram for IGESSelect_SetLabel:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_SetLabel (const Standard_Integer mode, const Standard_Boolean enforce)
| Creates a SetLabel for IGESEntity Mode : see Purpose of the class .
Standard_EXPORT void | Performing (IFSelect_ContextModif &ctx, const Handle(IGESData_IGESModel)&target, Interface_CopyTool &TC) const
| Specific action : Sets or Clears the Label .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text which is "Clear Short Label" or "Set Label to DE" With possible additional information " (enforced)" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | themode
Standard_Boolean | theforce

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SetLabel::IGESSelect_SetLabel | ( | const Standard_Integer | mode,
|  | const Standard_Boolean | enforce
| ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_SetLabel::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESSelect_ModelModifier.

Standard_EXPORT TCollection_AsciiString IGESSelect_SetLabel::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT void IGESSelect_SetLabel::Performing | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(IGESData_IGESModel)& | target,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IGESSelect_ModelModifier.

## Field Documentation

Standard_Boolean IGESSelect_SetLabel::theforce`[private]`

Standard_Integer IGESSelect_SetLabel::themode`[private]`

The documentation for this class was generated from the following file:

- IGESSelect_SetLabel.hxx